Bug 249108 - sysutils/logstash7: Update to 7.9.1
Summary: sysutils/logstash7: Update to 7.9.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-elastic (Nobody)
URL: https://www.elastic.co/guide/en/logst...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-04 13:53 UTC by Juraj Lutter
Modified: 2020-09-11 14:02 UTC (History)
0 users

See Also:
juraj: maintainer-feedback+
juraj: maintainer-feedback+


Attachments
sysutils/logstash7: Update to 7.9.1 (3.38 KB, patch)
2020-09-04 13:53 UTC, Juraj Lutter
juraj: maintainer-approval+
Details | Diff
sysutils/beats7: Update to 7.9.1 (192.76 KB, patch)
2020-09-10 17:56 UTC, Juraj Lutter
juraj: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Juraj Lutter 2020-09-04 13:53:06 UTC
Created attachment 217745 [details]
sysutils/logstash7: Update to 7.9.1

Hi,

please find the patch attached.


Changelog:
* Notable issues fixed:
  - Fixes in Docker image configuration of Monitoring and Central Management:
    - As more and more users adopt our docker images, we’ve been getting reports on gaps where these images don’t provide all the configuration knobs the other artifacts do. This release exposes more environment variables for configuring proxy support and certificate verification mode for monitoring and central management , and for configuring verification_mode
  - Pipeline execution fixes to flushing and shutdown
    - Since 7.2.0, a change caused terminating pipelines to not request input plugins to cleanup before shutdown, which could cause leaks in resources that weren’t freed during pipeline reloads. You can find more information on the fix here:
    - Logstash supports ordered execution for pipelines with a single worker. A bug was found in this mode where the flushing mechanism wasn’t working, preventing plugins like the aggregate filter from working correctly. This has been fixed, and you can read the details here:

* Consistent Fingerprinting:
  - Our fingerprint filter is a popular solution to perform deduplication of data in downstream systems like Elasticsearch, by computing a hash value based on data from each event. Users reported that this filter could produced different values for events containing the same data since it didn’t ensure the order in which Hash Maps/Objects/Ruby Hashes processed their key/value pairs. This has now been fixed, and you can read more about how it was solved and all the tests we’ve done here:

* Updated JRuby to 9.2.13.0:
  - The new JRuby release brings greater stability to its code optimizations in multithreaded workloads and a fix to exception handling in Windows environments, both issues that could affect our users. See the JRuby release notes for more information.

* Plugins:
  - Avro Codec - 3.2.4
    - [DOC] Add clarifications on partial deserialization
  - Fingerprint Filter - 3.2.2
    - Fixed lack of consistent fingerprints on Hash/Map objects
  - Kv Filter - 4.4.1
    - Fixed issue where a field_split_pattern containing a literal backslash failed to match correctly
  - Elasticsearch Input - 4.7.1
    - [DOC] Updated sliced scroll link to resolve to correct location after doc structure change
    - [DOC] Added usage example of docinfo metadata
  - Http_poller Input - 5.0.2
    - [DOC]Expanded url option to include Manticore keys
  - Snmp Input - 1.2.5
    - Updated snmp4j library to v2.8.4
    - Fixed: support SNMPv3 multiple identical security name with different credentials
    - Fixed: multithreading problem when using multiple snmp inputs with multiple v3 credentials
  - Syslog Input - 3.4.4
    - Refactor: avoid global side-effect + cleanup
    - avoid setting BasicSocket.do_not_reverse_lookup as it has side effects for others
  - Jdbc Integration - 5.0.6
    - DOC:Replaced plugin_header file with plugin_header-integration file.
  - Rabbitmq Integration - 7.1.1
    - DOC:Replaced plugin_header file with plugin_header-integration file.
  - Elasticsearch Output - 10.6.2
    - [DOC] Added clarifying info on http compression settings and behaviors
    - [DOC] Fixed entry for ilm_policy default value

Testport results:
https://freebsd-stable.builder.wilbury.net/data/11_4_RELEASE_GENERIC-default/2020-09-03_21h31m39s/logs/logstash7-7.9.1.log
https://freebsd-stable.builder.wilbury.net/data/12_STABLE_GENERIC_amd64-default/2020-09-03_23h40m09s/logs/logstash7-7.9.1.log
https://freebsd-current.builder.wilbury.net/data/13_CURRENT_GENERIC_amd64-default/2020-09-04_14h49m05s/logs/logstash7-7.9.1.log

Approving on behalf of elastic@
Comment 1 commit-hook freebsd_committer 2020-09-10 13:52:40 UTC
A commit references this bug:

Author: jrm
Date: Thu Sep 10 13:52:11 UTC 2020
New revision: 548205
URL: https://svnweb.freebsd.org/changeset/ports/548205

Log:
  textproc/kibana7: Update to version 7.9.1

  Changelog:
  * Notable issues fixed:
    - Fixes in Docker image configuration of Monitoring and Central
      Management:
      - As more and more users adopt our docker images, we?ve been getting
        reports on gaps where these images don?t provide all the configuration
        knobs the other artifacts do. This release exposes more environment
        variables for configuring proxy support and certificate verification
        mode for monitoring and central management , and for configuring
        verification_mode
    - Pipeline execution fixes to flushing and shutdown
      - Since 7.2.0, a change caused terminating pipelines to not request
        input plugins to cleanup before shutdown, which could cause leaks in
        resources that weren?t freed during pipeline reloads.
      - Logstash supports ordered execution for pipelines with a single
        worker. A bug was found in this mode where the flushing mechanism
        wasn?t working, preventing plugins like the aggregate filter from
        working correctly. This has been fixed.

  * Consistent Fingerprinting:
    - Our fingerprint filter is a popular solution to perform deduplication
      of data in downstream systems like Elasticsearch, by computing a hash
      value based on data from each event. Users reported that this filter
      could produced different values for events containing the same data
      since it didn?t ensure the order in which Hash Maps/Objects/Ruby Hashes
      processed their key/value pairs. This has now been fixed.

  * Updated JRuby to 9.2.13.0:
    - The new JRuby release brings greater stability to its code
      optimizations in multithreaded workloads and a fix to exception
      handling in Windows environments, both issues that could affect our
      users. See the JRuby release notes for more information.

  * Plugins:
    - Avro Codec - 3.2.4
      - [DOC] Add clarifications on partial deserialization
    - Fingerprint Filter - 3.2.2
      - Fixed lack of consistent fingerprints on Hash/Map objects
    - Kv Filter - 4.4.1
      - Fixed issue where a field_split_pattern containing a literal
        backslash failed to match correctly
    - Elasticsearch Input - 4.7.1
      - [DOC] Updated sliced scroll link to resolve to correct location after
        doc structure change
      - [DOC] Added usage example of docinfo metadata
    - Http_poller Input - 5.0.2
      - [DOC]Expanded url option to include Manticore keys
    - Snmp Input - 1.2.5
      - Updated snmp4j library to v2.8.4
      - Fixed: support SNMPv3 multiple identical security name with different
        credentials
      - Fixed: multithreading problem when using multiple snmp inputs with
        multiple v3 credentials
    - Syslog Input - 3.4.4
      - Refactor: avoid global side-effect + cleanup
      - avoid setting BasicSocket.do_not_reverse_lookup as it has side
        effects for others
    - Jdbc Integration - 5.0.6
      - DOC:Replaced plugin_header file with plugin_header-integration file.
    - Rabbitmq Integration - 7.1.1
      - DOC:Replaced plugin_header file with plugin_header-integration file.
    - Elasticsearch Output - 10.6.2
      - [DOC] Added clarifying info on http compression settings and behaviors
      - [DOC] Fixed entry for ilm_policy default value

  PR:		249108
  Submitted by:	Juraj Lutter <juraj@lutter.sk>

Changes:
  head/textproc/kibana7/Makefile
  head/textproc/kibana7/distinfo
  head/textproc/kibana7/files/patch-src_setup__node__env_index.js
  head/textproc/kibana7/files/patch-src_setup__node__env_prebuilt__dev__only__entry.js
Comment 2 commit-hook freebsd_committer 2020-09-10 14:08:43 UTC
A commit references this bug:

Author: jrm
Date: Thu Sep 10 14:07:49 UTC 2020
New revision: 548206
URL: https://svnweb.freebsd.org/changeset/ports/548206

Log:
  sysutils/logstash7: Update to version 7.9.1

  Changelog:
  * Notable issues fixed:
    - Fixes in Docker image configuration of Monitoring and Central
      Management:
      - As more and more users adopt our docker images, we?ve been getting
        reports on gaps where these images don?t provide all the configuration
        knobs the other artifacts do. This release exposes more environment
        variables for configuring proxy support and certificate verification
        mode for monitoring and central management , and for configuring
        verification_mode
    - Pipeline execution fixes to flushing and shutdown
      - Since 7.2.0, a change caused terminating pipelines to not request
        input plugins to cleanup before shutdown, which could cause leaks in
        resources that weren?t freed during pipeline reloads.
      - Logstash supports ordered execution for pipelines with a single
        worker. A bug was found in this mode where the flushing mechanism
        wasn?t working, preventing plugins like the aggregate filter from
        working correctly. This has been fixed, and you can read the details
        here:

  * Consistent Fingerprinting:
    - Our fingerprint filter is a popular solution to perform deduplication
      of data in downstream systems like Elasticsearch, by computing a hash
      value based on data from each event. Users reported that this filter
      could produced different values for events containing the same data
      since it didn?t ensure the order in which Hash Maps/Objects/Ruby Hashes
      processed their key/value pairs. This has now been fixed.

  * Updated JRuby to 9.2.13.0:
    - The new JRuby release brings greater stability to its code
      optimizations in multithreaded workloads and a fix to exception handling
      in Windows environments, both issues that could affect our users. See
      the JRuby release notes for more information.

  * Plugins:
    - Avro Codec - 3.2.4
      - [DOC] Add clarifications on partial deserialization
    - Fingerprint Filter - 3.2.2
      - Fixed lack of consistent fingerprints on Hash/Map objects
    - Kv Filter - 4.4.1
      - Fixed issue where a field_split_pattern containing a literal
        backslash failed to match correctly
    - Elasticsearch Input - 4.7.1
      - [DOC] Updated sliced scroll link to resolve to correct location after
        doc structure change
      - [DOC] Added usage example of docinfo metadata
    - Http_poller Input - 5.0.2
      - [DOC]Expanded url option to include Manticore keys
    - Snmp Input - 1.2.5
      - Updated snmp4j library to v2.8.4
      - Fixed: support SNMPv3 multiple identical security name with different
        credentials
      - Fixed: multithreading problem when using multiple snmp inputs with
        multiple v3 credentials
    - Syslog Input - 3.4.4
      - Refactor: avoid global side-effect + cleanup
      - avoid setting BasicSocket.do_not_reverse_lookup as it has side
        effects for others
    - Jdbc Integration - 5.0.6
      - DOC:Replaced plugin_header file with plugin_header-integration file.
    - Rabbitmq Integration - 7.1.1
      - DOC:Replaced plugin_header file with plugin_header-integration file.
    - Elasticsearch Output - 10.6.2
      - [DOC] Added clarifying info on http compression settings and behaviors
      - [DOC] Fixed entry for ilm_policy default value

  PR:		249108
  Submitted by:	Juraj Lutter <juraj@lutter.sk>

Changes:
  head/sysutils/logstash7/Makefile
  head/sysutils/logstash7/distinfo
Comment 3 Juraj Lutter 2020-09-10 17:56:12 UTC
Created attachment 217875 [details]
sysutils/beats7: Update to 7.9.1
Comment 4 Juraj Lutter 2020-09-10 19:00:47 UTC
Comment on attachment 217875 [details]
sysutils/beats7: Update to 7.9.1

Wrong patch for this PR.